- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# ForwardRequestA.cpp File Reference

`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Struct_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/TypeCode_Struct_Field.h"`
`#include "tao/PortableServer/ForwardRequestA.h"`
`#include "tao/CDR.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/AnyTypeCode/Any_Dual_Impl_T.h"`

Include dependency graph for ForwardRequestA.cpp:

## Namespaces
namespace | PortableServer
namespace | TAO
## Functions
static TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_ForwardRequest (CORBA::tk_except,"IDL:omg.org/PortableServer/ForwardRequest:2.3","ForwardRequest", _tao_fields_PortableServer_ForwardRequest, 1)
void | operator<<= (CORBA::Any &_tao_any, const PortableServer::ForwardRequest &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::ForwardRequest *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::ForwardRequest *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableServer::ForwardRequest *&_tao_elem)
## Variables
static TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_PortableServer_ForwardRequest []
::CORBA::TypeCode_ptr const | PortableServer::_tc_ForwardRequest

## Function Documentation

static TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_ForwardRequest | ( | CORBA::tk_except | ,
|  | "IDL:omg.org/PortableServer/ForwardRequest:2.3" | ,
|  | "ForwardRequest" | ,
|  | _tao_fields_PortableServer_ForwardRequest | ,
|  | 1 |  |
| ) |  |  | `[static]`

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableServer::ForwardRequest * | _tao_elem |
| ) |  |  |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableServer::ForwardRequest & | _tao_elem |
| ) |  |  |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableServer::ForwardRequest *& | _tao_elem |
| ) |  |  |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableServer::ForwardRequest *& | _tao_elem |
| ) |  |  |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_PortableServer_ForwardRequest[]`[static]`

Initial value:

      {
        { "forward_reference", &CORBA::_tc_Object }

      }